Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class Dom4jAccessor

    java.lang.Object
      org.hibernate.property.Dom4jAccessor

All Implemented Interfaces:
  PropertyAccessor

    public class Dom4jAccessor

extends Object
implements PropertyAccessor

Responsible for accessing property values represented as a dom4j Element or Attribute.

Author:
  Steve Ebersole

Nested Class Summary
`static class` | `Dom4jAccessor.AttributeGetter` For nodes like `"@bar"`
`static class` | `Dom4jAccessor.AttributeSetter` For nodes like `"@bar"`
`static class` | `Dom4jAccessor.Dom4jGetter` Defines the strategy for getting property values out of a dom4j Node.
`static class` | `Dom4jAccessor.Dom4jSetter`
`static class` | `Dom4jAccessor.ElementAttributeGetter` For nodes like `"foo/@bar"`
`static class` | `Dom4jAccessor.ElementAttributeSetter` For nodes like `"foo/@bar"`
`static class` | `Dom4jAccessor.ElementGetter` For nodes like `"foo"`
`static class` | `Dom4jAccessor.ElementSetter` For nodes like `"foo"`
`static class` | `Dom4jAccessor.TextGetter` For nodes like `"."`
`static class` | `Dom4jAccessor.TextSetter` For nodes like `"."`

Constructor Summary
`Dom4jAccessor(String nodeName, Type propertyType, SessionFactoryImplementor factory)`

Method Summary
`Getter` | `getGetter(Class theClass, String propertyName)` Create a "getter" for the named attribute
`Setter` | `getSetter(Class theClass, String propertyName)` Create a "setter" for the named attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4jAccessor

    public Dom4jAccessor(String nodeName,
                         Type propertyType,
                         SessionFactoryImplementor factory)

Method Detail

### getGetter

    public Getter getGetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Create a "getter" for the named attribute

  Specified by:
    `getGetter` in interface `PropertyAccessor`
  Throws:
    `PropertyNotFoundException`

### getSetter

    public Setter getSetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Create a "setter" for the named attribute

  Specified by:
    `getSetter` in interface `PropertyAccessor`
  Throws:
    `PropertyNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD